<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<script>
    // let age = prompt('Please, enter your age here: ');
    //  while (isNaN(age) || age == ''){
    //      age = prompt('Please, enter your age here, ', age);
    // }
    //      let name = prompt('Please, enter your name here: ');
    // let sure;
    //
    // if (age < 18) {
    //     alert('You are not allowed to visit this website, ' +(name));
    // } else if(18 <= age && age <= 22) {
    //     sure = confirm  ('Are you sure you want to continue, ' +(name)+ '?');
    // } if(sure == true) {
    //     alert('Welcome, ' +(name))
    // } else if(sure == false) {
    //     alert('You are not allowed to visit this website, '+(name)+ '.');
    // }  else if(age > 22) {
    //     alert('Welcome, '+(name)+ '.');
    // }
    function f() {return 1; return 2; } alert(f())
</script>

</body>
</html>